Loading...
Searching...
No Matches
pair_with_linear_algebra.h

Go to the source code of this file.

## Classes

struct | pair_with_linear_algebra< T1, T2 >

## Namespaces

namespace | rheolef
| This file is part of Rheolef.
namespace | rheolef::details

## Functions

template<class T1, class T2>
pair_with_linear_algebra< T1, T2 > | operator- (const pair_with_linear_algebra< T1, T2 > &x)
template<class T0, class T1, class T2>
pair_with_linear_algebra< T1, T2 > | operator* (const T0 &k, const pair_with_linear_algebra< T1, T2 > &x)
template<class T1, class T2>
pair_with_linear_algebra< T1, T2 > | operator+ (const pair_with_linear_algebra< T1, T2 > &x, const pair_with_linear_algebra< T1, T2 > &y)
template<class T1, class T2>
pair_with_linear_algebra< T1, T2 > | operator- (const pair_with_linear_algebra< T1, T2 > &x, const pair_with_linear_algebra< T1, T2 > &y)